summaryrefslogtreecommitdiffstats
path: root/gettext-tools/tests/xgettext-python-3
diff options
context:
space:
mode:
Diffstat (limited to 'gettext-tools/tests/xgettext-python-3')
-rwxr-xr-xgettext-tools/tests/xgettext-python-320
1 files changed, 10 insertions, 10 deletions
diff --git a/gettext-tools/tests/xgettext-python-3 b/gettext-tools/tests/xgettext-python-3
index 3ac44d1..b004b09 100755
--- a/gettext-tools/tests/xgettext-python-3
+++ b/gettext-tools/tests/xgettext-python-3
@@ -45,36 +45,36 @@ EOF
: ${XGETTEXT=xgettext}
${XGETTEXT} --add-comments=TRANSLATORS: --no-location \
-d xg-py-3a xg-py-3a.py > /dev/null 2>&1
-test $? = 1 || { exit 1; }
+test $? = 1 || { Exit 1; }
${XGETTEXT} --add-comments=TRANSLATORS: --no-location --from-code=euc-jp \
- -o xg-py-3a.tmp xg-py-3a.py || exit 1
+ -o xg-py-3a.tmp xg-py-3a.py || Exit 1
# Don't simplify this to "grep ... < xg-py-3a.tmp", otherwise OpenBSD 4.0 grep
# only outputs "Binary file (standard input) matches".
cat xg-py-3a.tmp | grep -v 'POT-Creation-Date' | LC_ALL=C tr -d '\r' > xg-py-3a.pot
: ${DIFF=diff}
-${DIFF} xg-py-3.ok xg-py-3a.pot || exit 1
+${DIFF} xg-py-3.ok xg-py-3a.pot || Exit 1
# Verify that if the source file has a magic coding comment, xgettext succeeds.
${XGETTEXT} --add-comments=TRANSLATORS: --no-location \
- -o xg-py-3b.tmp xg-py-3b.py || exit 1
+ -o xg-py-3b.tmp xg-py-3b.py || Exit 1
# Don't simplify this to "grep ... < xg-py-3b.tmp", otherwise OpenBSD 4.0 grep
# only outputs "Binary file (standard input) matches".
cat xg-py-3b.tmp | grep -v 'POT-Creation-Date' | LC_ALL=C tr -d '\r' > xg-py-3b.pot
-${DIFF} xg-py-3.ok xg-py-3b.pot || exit 1
+${DIFF} xg-py-3.ok xg-py-3b.pot || Exit 1
# Verify that if the source file has a magic coding comment and a --from-code
# option is given, the magic coding comment takes precedence over it.
${XGETTEXT} --add-comments=TRANSLATORS: --no-location --from-code=iso-8859-1 \
- -o xg-py-3c.tmp xg-py-3b.py || exit 1
+ -o xg-py-3c.tmp xg-py-3b.py || Exit 1
# Don't simplify this to "grep ... < xg-py-3c.tmp", otherwise OpenBSD 4.0 grep
# only outputs "Binary file (standard input) matches".
cat xg-py-3c.tmp | grep -v 'POT-Creation-Date' | LC_ALL=C tr -d '\r' > xg-py-3c.pot
-${DIFF} xg-py-3.ok xg-py-3c.pot || exit 1
+${DIFF} xg-py-3.ok xg-py-3c.pot || Exit 1
# Verify that backslashes in and second bytes with value 0x5C are correctly
# distinguished in weird encodings like BIG5.
@@ -87,7 +87,7 @@ print gettext.gettext(u"¬\\u0021");
EOF
${XGETTEXT} --add-comments=TRANSLATORS: \
- -o xg-py-3d.tmp xg-py-3d.py || exit 1
+ -o xg-py-3d.tmp xg-py-3d.py || Exit 1
# Don't simplify this to "grep ... < xg-py-3d.tmp", otherwise OpenBSD 4.0 grep
# only outputs "Binary file (standard input) matches".
cat xg-py-3d.tmp | grep -v 'POT-Creation-Date' | LC_ALL=C tr -d '\r' > xg-py-3d.pot
@@ -120,6 +120,6 @@ msgid "枯!"
msgstr ""
EOF
-${DIFF} xg-py-3d.ok xg-py-3d.pot || exit 1
+${DIFF} xg-py-3d.ok xg-py-3d.pot || Exit 1
-exit 0
+Exit 0